﻿# Declare characters used by this game.
define emily = Character("Emily", color="#00FFFF")  # Cyan
define eris = Character("Eris", color="#800080")   # Purple
define phoebe = Character("Phoebe", color="#c8c8ff")
define hitomi = Character("Hitomi", color="#ffc8c8")
define camile = Character("Camile", color="#ffff00")
define sarah = Character("Sarah", color="#ff69b4")
define mike = Character("Coach Mike", color="#4169e1")
define mom = Character("Mom", color="#9932cc")

# Add images for each character and scene
image bg school_pe_class:
    "school_pe_class.png"
    size (1920, 1080)

image bg gym:
    "bg_gym"
    size (1920, 1080)

image bg home:
    "bg_home"
    size (1920, 1080)

image bg stats_screen = "stats_screen.png"
image home_background = "home.png"
image mirror_background = "mirror.png"
image bg gym_mirror = "gym_mirror.png"

image Emily_anger = "Emily_anger.png"
image Emily_discussion_normal = "Emily_discussion_normal.png"
image Emily_anger_normal = "Emily_anger_normal.png"
image Eris_normal = "Eris_normal.png"
image Eris_rage = "Eris_rage.png"
image Eris_challenge_accepted = "Eris_challenge_accepted.png"

# Emily level poses (5 poses per level)
image Emily1_1 = "Emily/Emily1_1.png"
image Emily1_2 = "Emily/Emily1_2.png"
image Emily1_3 = "Emily/Emily1_3.png"
image Emily1_4 = "Emily/Emily1_4.png"
image Emily1_5 = "Emily/Emily1_5.png"

image Emily2_1 = "Emily/Emily2_1.png"
image Emily2_2 = "Emily/Emily2_2.png"
image Emily2_3 = "Emily/Emily2_3.png"
image Emily2_4 = "Emily/Emily2_4.png"
image Emily2_5 = "Emily/Emily2_5.png"

image Emily3_1 = "Emily/Emily3_1.png"
image Emily3_2 = "Emily/Emily3_2.png"
image Emily3_3 = "Emily/Emily3_3.png"
image Emily3_4 = "Emily/Emily3_4.png"
image Emily3_5 = "Emily/Emily3_5.png"

image Emily4_1 = "Emily/Emily4_1.png"
image Emily4_2 = "Emily/Emily4_2.png"
image Emily4_3 = "Emily/Emily4_3.png"
image Emily4_4 = "Emily/Emily4_4.png"
image Emily4_5 = "Emily/Emily4_5.png"

image Emily5_1 = "Emily/Emily5_1.png"
image Emily5_2 = "Emily/Emily5_2.png"
image Emily5_3 = "Emily/Emily5_3.png"
image Emily5_4 = "Emily/Emily5_4.png"
image Emily5_5 = "Emily/Emily5_5.png"

image Emily6_1 = "Emily/Emily6_1.png"
image Emily6_2 = "Emily/Emily6_2.png"
image Emily6_3 = "Emily/Emily6_3.png"
image Emily6_4 = "Emily/Emily6_4.png"
image Emily6_5 = "Emily/Emily6_5.png"

image Emily7_1 = "Emily/Emily7_1.png"
image Emily7_2 = "Emily/Emily7_2.png"
image Emily7_3 = "Emily/Emily7_3.png"
image Emily7_4 = "Emily/Emily7_4.png"
image Emily7_5 = "Emily/Emily7_5.png"

image Emily8_1 = "Emily/Emily8_1.png"
image Emily8_2 = "Emily/Emily8_2.png"
image Emily8_3 = "Emily/Emily8_3.png"
image Emily8_4 = "Emily/Emily8_4.png"
image Emily8_5 = "Emily/Emily8_5.png"

image Emily9_1 = "Emily/Emily9_1.png"
image Emily9_2 = "Emily/Emily9_2.png"
image Emily9_3 = "Emily/Emily9_3.png"
image Emily9_4 = "Emily/Emily9_4.png"
image Emily9_5 = "Emily/Emily9_5.png"

image Emily10_1 = "Emily/Emily10_1.png"
image Emily10_2 = "Emily/Emily10_2.png"
image Emily10_3 = "Emily/Emily10_3.png"
image Emily10_4 = "Emily/Emily10_4.png"
image Emily10_5 = "Emily/Emily10_5.png"

# Sleep and nightmare images
image nightmare1 = "nightmare1.png"
image nightmare2 = "nightmare2.png"
image nightmare3 = "nightmare3.png"
image nightmare4 = "nightmare4.png"
image nightmare5 = "nightmare5.png"

# Define Eris level images
image Eris1_1 = "Eris/Eris1_1.png"
image Eris1_2 = "Eris/Eris1_2.png"
image Eris2_1 = "Eris/Eris2_1.png"
image Eris2_2 = "Eris/Eris2_2.png"
image Eris3_1 = "Eris/Eris3_1.png"
image Eris3_2 = "Eris/Eris3_2.png"
image Eris4_1 = "Eris/Eris4_1.png"
image Eris4_2 = "Eris/Eris4_2.png"
image Eris5_1 = "Eris/Eris5_1.png"
image Eris5_2 = "Eris/Eris5_2.png"
image Eris6_1 = "Eris/Eris6_1.png"
image Eris6_2 = "Eris/Eris6_2.png"
image Eris7_1 = "Eris/Eris7_1.png"
image Eris7_2 = "Eris/Eris7_2.png"
image Eris8_1 = "Eris/Eris8_1.png"
image Eris8_2 = "Eris/Eris8_2.png"
image Eris9_1 = "Eris/Eris9_1.png"
image Eris9_2 = "Eris/Eris9_2.png"
image Eris10_1 = "Eris/Eris10_1.png"
image Eris10_2 = "Eris/Eris10_2.png"

# Chat labels for each contact
label chat_with_eris:
    $ current_contact = "Eris"
    $ phone_contacts["Eris"]["has_notification"] = False
    if not chat_history["Eris"]:
        python:
            messages = get_eris_messages()
            for message in messages:
                add_chat_message("Eris", message)
            image1 = "Eris/Eris1_1.png"
            image2 = "Eris/Eris1_2.png"
            message1 = "{color=#800080}*Eris sent an image*{/color}"
            message2 = "{color=#800080}*Eris sent another image*{/color}"
            add_chat_message("Eris", message1, True, image1)
            add_chat_message("Eris", message2, True, image2)
    else:
        $ check_eris_level_up()
    
    call screen chat_interface("Eris")
    return

label chat_with_phoebe:
    $ current_contact = "Phoebe"
    $ phone_contacts["Phoebe"]["has_notification"] = False
    if not chat_history["Phoebe"]:
        if emily_level < 4:
            $ message = "You're doing great at the gym! Keep pushing yourself!"
            $ add_chat_message("Phoebe", message)
            $ phone_contacts["Phoebe"]["last_message"] = message
        else:
            $ message = "Your progress is incredible! We should train together sometime!"
            $ add_chat_message("Phoebe", message)
            $ phone_contacts["Phoebe"]["last_message"] = message
    
    show screen chat_interface("Phoebe")
    $ renpy.pause(hard=True)

label chat_with_hitomi:
    $ current_contact = "Hitomi"
    $ phone_contacts["Hitomi"]["has_notification"] = False
    if not chat_history["Hitomi"]:
        if emily_level < 6:
            $ message = "Remember, strength without discipline is meaningless. Keep training your mind and body."
            $ add_chat_message("Hitomi", message)
            $ phone_contacts["Hitomi"]["last_message"] = message
        else:
            $ message = "Your spirit grows stronger with your body. You're becoming a true warrior."
            $ add_chat_message("Hitomi", message)
            $ phone_contacts["Hitomi"]["last_message"] = message
    
    show screen chat_interface("Hitomi")
    $ renpy.pause(hard=True)

label chat_with_camile:
    $ current_contact = "Camile"
    $ phone_contacts["Camile"]["has_notification"] = False
    if not chat_history["Camile"]:
        if emily_level < 3:
            $ message = "Keep working on your flexibility. Grace and strength go hand in hand!"
            $ add_chat_message("Camile", message)
            $ phone_contacts["Camile"]["last_message"] = message
        else:
            $ message = "Your movements are becoming so fluid! The perfect blend of power and grace."
            $ add_chat_message("Camile", message)
            $ phone_contacts["Camile"]["last_message"] = message
    
    show screen chat_interface("Camile")
    $ renpy.pause(hard=True)

# Add Eris level and growth variables
default eris_level = 1
default eris_growth_rate = 1.2
default eris_last_level_up_threshold = 0  # Track the last strength exp threshold where Eris leveled up

# Add Eris chat messages based on level
init python:
    import os
    import random
    
    def get_eris_messages():
        messages = []
        if eris_level == 1:
            messages = [
                "Oh Emily~ Appreciate my delicate, fragile appearance now that you can... because very soon it will change abruptly. >:)",
                "I hope you don't regret challenging me, Emily... ;) Because very soon I will show you my true inner potential. And trust me, it's... substantial~",
                "You'll see, this flat chest will soon turn into giant milking breasts... that will be full of not only power.",
                "Mom has hired me a personal instructor to train me... >.<  She makes me scream in pain, making me lift weights my little body can barely support. But whatever it takes to accelerate my true self!"
            ]
        elif eris_level == 2:
            messages = [
                "Mmm~ My flat chest is finally starting to grow. Can't wait to outgrow you!",
                "My personal trainer has me doing extra bench presses. She says it's the secret to amazing breasts~",
                "Look how my body's gaining mass... getting curvier by the day. Unlike someone I know~",
                "These amazon genes are no joke! Soon you'll regret challenging me, little Emily.",
                "My trainer says I'm an easy gainer. Watch out - this amazon's just getting started!"
            ]
        elif eris_level == 3:
            messages = [
                "YES, I TOLD YOU! LOOK AT THESE ABS AND ORANGES THAT WILL SOON BE WATERMELONS! (:)",
                "My arms are getting so toned... and my back is expanding day by day! :)",
                "Mmm~ My legs are getting thicker and stronger. Soon I'll crush watermelons between them! >:)",
                "My personal trainer can't believe how fast I'm changing. She says I'm a natural amazon~",
                "Thank you Emily for challenging me... The pain of training turns me on so much! (:",
                "I'm becoming addicted to the burn... Every rep makes me stronger and hornier! (:",
                "Who knew getting stronger could feel this good? I'm in love with the pain~"
            ]
        elif eris_level == 4:
            messages = [
                "Had to buy new workout clothes again~ Everything's getting so tight!",
                "My breasts are getting huge! Yours? Still disappointing, I see.",
                "People can't stop staring at my growing curves. You're still... flat.",
                "Mmm, love how my muscles are filling out. You're still... whatever you are."
            ]
        elif eris_level == 5:
            messages = [
                "Getting stronger AND curvier! Best of both worlds~",
                "These breasts are becoming legendary! Yours are... cute, I guess.",
                "Had to special order my sports bras now. Still shopping in the kids' section?",
                "My body's becoming irresistible! You're still... whatever you are."
            ]
        elif eris_level == 6:
            messages = [
                "My amazon genes are finally awakening! Feel so powerful... and horny~",
                "Mmm, every part of me is growing. It feels so good!",
                "These changes are driving me wild! The power... the size... everything!",
                "Thanks for inspiring me to train harder. Now I'm becoming a goddess!"
            ]
        elif eris_level == 7:
            messages = [
                "God, these changes are intoxicating! I'm becoming such a beast~",
                "My amazon blood is on fire! Everything's growing... everywhere!",
                "Ngh... these growth spurts feel so good. Too bad you'll never experience this!",
                "Getting bigger by the day! In ALL the right places~"
            ]
        elif eris_level == 8:
            messages = [
                "Look at these massive breasts! They're bigger than your head!",
                "Mmm... my whole body's so sensitive now. Every growth spurt feels amazing~",
                "I've become a true amazon! Thanks for pushing me to train harder~",
                "Can barely contain myself anymore... in more ways than one!"
            ]
        elif eris_level == 9:
            messages = [
                "I'm practically a goddess now! And so incredibly horny~",
                "Everything's so huge now! Breasts, muscles, everything!",
                "These changes are driving me wild with pleasure!",
                "Thank you Emily... without you, I'd never have grown THIS massive~"
            ]
        elif eris_level == 10:
            messages = [
                "I've achieved perfection! A true amazon goddess!",
                "Every inch of me is gigantic now... and it feels incredible~",
                "You helped create this monster, Emily. Hope you're proud~",
                "Ngh... so big... so powerful... so horny... This is heaven!"
            ]
        return messages

    def check_eris_level_up():
        global eris_level, eris_last_level_up_threshold
        current_threshold = strength_exp_required * 0.5
        if eris_level < 10 and emily_strength_exp >= current_threshold and current_threshold > eris_last_level_up_threshold:
            eris_level += 1
            eris_last_level_up_threshold = current_threshold
            # Add a notification message about Eris's transformation
            message = "You sense a strange energy... Eris seems to be growing stronger!"
            add_chat_message("Eris", message)
            phone_contacts["Eris"]["has_notification"] = True
            messages = get_eris_messages()
            for message in messages:
                add_chat_message("Eris", message, False)
            image1 = "Eris/Eris{}_1.png".format(eris_level)
            image2 = "Eris/Eris{}_2.png".format(eris_level)
            message1 = "{color=#800080}*Eris sent an image*{/color}"
            message2 = "{color=#800080}*Eris sent another image*{/color}"
            add_chat_message("Eris", message1, True, image1)
            add_chat_message("Eris", message2, True, image2)
            return True
        return False

    def show_eris_level_image():
        image1 = "Eris/Eris{}_1.png".format(eris_level)
        image2 = "Eris/Eris{}_2.png".format(eris_level)
        message1 = "{color=#800080}*Eris sent an image*{/color}"
        message2 = "{color=#800080}*Eris sent another image*{/color}"
        add_chat_message("Eris", message1, True, image1)
        add_chat_message("Eris", message2, True, image2)

    def get_random_emily_pose():
        pose_number = renpy.random.randint(1, 5)
        return "Emily/Emily{}_{}.png".format(emily_level, pose_number)

    def get_eris_image():
        pose_number = renpy.random.randint(1, 2)
        return "Eris/Eris{}_{}.png".format(eris_level, pose_number)

    def add_chat_message(contact, message, is_system=False, image=None):
        global chat_history, phone_contacts
        sender = "System" if is_system else contact
        message_data = {"sender": sender, "message": message}
        if image:
            message_data["image"] = image
        chat_history[contact].append(message_data)
        phone_contacts[contact]["last_message"] = message
        if not is_system or phone_contacts[contact]["has_notification"]:
            phone_contacts[contact]["has_notification"] = True

    def has_unread_messages():
        for contact_info in phone_contacts.values():
            if contact_info["has_notification"]:
                return True
        return False

    def get_all_rest_images():
        available_images = []
        for i in range(1, 11):  # Assuming you have images numbered from 1 to 10
            image_name = f"rest_gym_{i}"
            available_images.append(image_name)
        return available_images

    def get_random_rest_image():
        available_images = get_all_rest_images()
        if available_images:
            return random.choice(available_images)
        return "bg_gym"

    def get_random_rest_message():
        beginner_messages = [
            "There are so many sexy girls in this gym... I feel so small compared to them.",
            "Wow, look at her muscles! I wonder if I'll ever be that strong...",
            "Her body is amazing... Mine looks so ordinary in comparison.",
            "She makes lifting weights look so easy. I can barely do half that weight.",
            "These girls are like goddesses... And here I am, just starting out.",
            "I feel a bit intimidated by all these fit women around me.",
            "Their confidence is incredible. I wish I had that kind of presence.",
            "Such powerful bodies... I have such a long way to go.",
            "I can't help but feel self-conscious around these amazons.",
            "Will I ever look that good in gym clothes?"
        ]
        
        intermediate_messages = [
            "I'm starting to understand how they got those muscles. It takes real dedication!",
            "Her form is perfect. Mine's getting there too!",
            "I can lift almost as much as she can now. Progress feels good!",
            "My body is changing... I'm beginning to see the same definition they have.",
            "I remember when those weights seemed impossible. Now they're my warm-up!",
            "We're not so different now. I'm becoming one of them.",
            "I used to be intimidated by these women. Now we spot each other!",
            "Looking at them doesn't make me envious anymore - it makes me motivated!",
            "I can see why they love training so much. The results are addictive!",
            "Their dedication isn't mysterious anymore - I'm living it too!"
        ]
        
        advanced_messages = [
            "Keep pushing, sister! We're all breaking boundaries together!",
            "Another amazon in the making. She's got that fire in her eyes!",
            "Love seeing new girls transform into powerful women.",
            "We're all capable of becoming stronger than we imagine.",
            "The weights that used to seem heavy now feel like warm-ups. Sky's the limit!",
            "Together we rise. This gym is forging warriors every day!",
            "Remember when I used to be intimidated? Now I'm inspiring others!",
            "There's nothing more beautiful than a woman discovering her strength.",
            "We're all queens here, pushing each other to new heights!",
            "The strength in this room is contagious. We're all becoming amazons!"
        ]
        
        if emily_level <= 3:
            messages = beginner_messages
        elif emily_level <= 7:
            messages = intermediate_messages
        else:
            messages = advanced_messages
            
        return random.choice(messages)

# Update chat interface to handle images
screen chat_interface(contact_name):
    modal True
    
    frame:
        xalign 0.5
        yalign 0.5
        xsize 800
        ysize 900
        background "#1a1a1a"
        
        vbox:
            spacing 10
            xfill True
            
            # Header
            frame:
                background "#2a2a2a"
                xfill True
                padding (10, 5)
                
                hbox:
                    spacing 20
                    
                    textbutton "←":
                        text_size 40
                        action [Hide("chat_interface"), Show("phone_interface")]
                    
                    text contact_name size 32 color "#ffffff"
            
            # Chat messages
            viewport:
                ysize 800
                mousewheel True
                draggable True
                scrollbars "vertical"
                
                vbox:
                    spacing 10
                    for message in chat_history[contact_name]:
                        python:
                            msg_align = 0.0 if message["sender"] == contact_name else 1.0
                            
                        if "image" in message:
                            frame:
                                background "#2a2a2a"
                                padding (10, 10)
                                xalign 0.5
                                add message["image"] zoom 0.7
                        else:
                            frame:
                                background "#2a2a2a"
                                padding (10, 10)
                                xalign msg_align
                                xmaximum 600
                                
                                text message["message"] size 24 color "#ffffff"

# Home screen
screen home():
    modal True
    
    frame:
        xalign 0.5
        yalign 0.5
        xsize 1000
        ysize 800
        background "#1a1a1a"
        
        vbox:
            spacing 20
            xalign 0.5
            yalign 0.5
            
            text "Home" size 40 color "#ffffff" xalign 0.5
            text "[get_current_day_name()] [current_hour]:[current_minute:02d]" size 30 color "#ffffff" xalign 0.5
            text "Energy: [emily_energy]/[emily_max_energy]" size 30 color "#ffffff" xalign 0.5
            
            if should_force_sleep():
                timer 0.1 action Jump("force_sleep")
            
            textbutton "Sleep":
                xalign 0.5
                text_size 32
                action Jump("sleep")
            
            textbutton "Rest":
                xalign 0.5
                text_size 32
                action Jump("rest_at_home")
            
            textbutton "Go to Gym":
                xalign 0.5
                text_size 32
                action Jump("gym")
                sensitive (not is_energy_low())
            
            hbox:
                xalign 0.5
                spacing 10
                textbutton "Check Phone":
                    xalign 0.5
                    text_size 32
                    action Show("phone_interface")
                if has_unread_messages():
                    text "●" size 32 color "#ff0000"

# Gym screen
screen gym_menu():
    modal True
    
    frame:
        xalign 0.5
        yalign 0.5
        xsize 1000
        ysize 800
        background "#1a1a1a"
        
        vbox:
            spacing 20
            xalign 0.5
            yalign 0.5
            
            text "Gym" size 40 color "#ffffff" xalign 0.5
            
            if not has_gym_membership:
                text "You need a gym membership to train here." size 30 color "#ffffff" xalign 0.5
                textbutton "Get Membership ($50)":
                    text_size 28
                    action Jump("get_membership")
            else:
                textbutton "Train Strength":
                    text_size 28
                    action Jump("train_strength")
                    
                textbutton "Train Endurance":
                    text_size 28
                    action Jump("train_endurance")
                
                textbutton "Rest":
                    text_size 28
                    action Jump("rest_at_gym")
                
                textbutton "Check Yourself":
                    text_size 28
                    action Jump("check_yourself_scene")
            
            textbutton "Leave":
                text_size 28
                action Jump("home")

# Phone contacts screen
screen phone_interface():
    modal True
    
    frame:
        xalign 0.5
        yalign 0.5
        xsize 800
        ysize 900
        background "#1a1a1a"
        
        vbox:
            spacing 10
            xfill True
            
            # Header
            frame:
                background "#2a2a2a"
                xfill True
                padding (10, 5)
                
                hbox:
                    spacing 20
                    
                    textbutton "←":
                        text_size 40
                        action [Hide("phone_interface"), Show("home")]
                    
                    text "Messages" size 32 color "#ffffff"
            
            # Contacts list
            viewport:
                mousewheel True
                scrollbars "vertical"
                ysize 800
                
                vbox:
                    spacing 15
                    xfill True
                    
                    for contact_name, contact_info in phone_contacts.items():
                        frame:
                            background "#2a2a2a"
                            xfill True
                            padding (15, 10)
                            
                            button:
                                action [Hide("phone_interface"), Jump("chat_with_" + contact_name.lower())]
                                xfill True
                                
                                hbox:
                                    spacing 20
                                    
                                    # Contact image placeholder
                                    frame:
                                        background "#3a3a3a"
                                        xysize (60, 60)
                                        
                                    vbox:
                                        spacing 5
                                        hbox:
                                            spacing 10
                                            text contact_name size 28 color "#ffffff"
                                            if contact_info["has_notification"]:
                                                text "●" size 28 color "#ff0000"
                                        text contact_info["status"] size 20 color "#888888"
                                        if contact_info["last_message"]:
                                            text contact_info["last_message"] size 20 color "#aaaaaa"

# Location and rest labels
label home:
    scene bg home with dissolve
    hide screen gym_menu
    show screen game_stats
    $ renpy.pause(0.1)
    "You are at home."
    $ renpy.pause(1.0)
    show screen home with dissolve
    call screen home
    return

label gym:
    scene bg gym with dissolve
    hide screen home
    show screen game_stats
    $ renpy.pause(0.1)
    if not has_gym_membership:
        "Welcome to the gym! You'll need a membership to train here."
        $ renpy.pause(1.0)
    else:
        "Time to train!"
        $ renpy.pause(1.0)
    show screen gym_menu with dissolve
    call screen gym_menu
    return

label rest_at_home:
    hide screen home with dissolve
    $ renpy.pause(0.1)
    if emily_energy >= emily_max_energy:
        "You're already fully energized!"
    else:
        $ advance_time(hours=1)
        $ emily_energy = min(emily_max_energy, emily_energy + (emily_max_energy * 0.2))
        "You rest for an hour. Your energy is now at [emily_energy]/[emily_max_energy]."
    jump home
    return

label rest_at_gym:
    hide screen gym_menu with dissolve
    $ renpy.pause(0.1)
    
    if emily_energy >= emily_max_energy:
        "You're already fully energized!"
    else:
        $ advance_time(hours=1)
        $ emily_energy = min(emily_max_energy, emily_energy + (emily_max_energy * 0.2))
        
        $ rest_image = get_random_rest_image()
        scene bg gym with dissolve
        show expression f"{rest_image}" at truecenter with dissolve
        
        $ rest_message = get_random_rest_message()
        "[rest_message]"
        "You rest for an hour. Your energy is now at [emily_energy]/[emily_max_energy]."
    
    scene bg gym
    with dissolve
    jump gym
    return

# Gym membership label
label get_membership:
    if emily_money >= 50:
        $ emily_money -= 50
        $ has_gym_membership = True
        "You purchased a gym membership for $50."
    else:
        "You don't have enough money for a gym membership."
    
    jump gym

# Training labels
label train_strength:
    hide screen gym_menu with dissolve
    $ renpy.pause(0.1)
    
    $ basic_cost = int(emily_max_energy * 0.1)
    $ strength_cost = int(emily_max_energy * 0.15)
    $ intense_cost = int(emily_max_energy * 0.3)
    $ amazon_cost = int(emily_max_energy * 0.8)
    
    menu:
        "Choose your workout routine:"
        
        "[basic_cost] energy: Basic Training (30min, +20 Strength EXP)":
            if emily_energy >= (emily_max_energy * 0.1):
                $ emily_energy -= (emily_max_energy * 0.1)
                $ emily_strength_exp += 20
                $ emily_endurance_exp += 5
                $ advance_time(minutes=30)
                "You completed a basic strength training session."
                $ check_strength_level_up()
                $ check_endurance_level_up()
                jump train_strength
            else:
                "You don't have enough energy for this workout."
                jump train_strength
        
        "[strength_cost] energy: Strength Training (45min, +35 Strength EXP)":
            if emily_energy >= (emily_max_energy * 0.15):
                $ emily_energy -= (emily_max_energy * 0.15)
                $ emily_strength_exp += 35
                $ emily_endurance_exp += 10
                $ advance_time(minutes=45)
                "You completed an intermediate strength training session."
                $ check_strength_level_up()
                $ check_endurance_level_up()
                jump train_strength
            else:
                "You don't have enough energy for this workout."
                jump train_strength
        
        "[intense_cost] energy: Intense Workout (60min, +60 Strength EXP)" if emily_level >= 5:
            if emily_energy >= (emily_max_energy * 0.3):
                $ emily_energy -= (emily_max_energy * 0.3)
                $ emily_strength_exp += 60
                $ emily_endurance_exp += 15
                $ advance_time(minutes=60)
                "You completed an intense strength training session."
                $ check_strength_level_up()
                $ check_endurance_level_up()
                jump train_strength
            else:
                "You don't have enough energy for this workout."
                jump train_strength
        
        "[amazon_cost] energy: Amazon Regiment (90min, +350 Strength EXP)" if emily_level >= 8:
            if emily_energy >= (emily_max_energy * 0.8):
                $ emily_energy -= (emily_max_energy * 0.8)
                $ emily_strength_exp += 350
                $ emily_endurance_exp += 30
                $ advance_time(minutes=90)
                "You completed the legendary Amazon Regiment training!"
                $ check_strength_level_up()
                $ check_endurance_level_up()
                jump train_strength
            else:
                "You don't have enough energy for this workout."
                jump train_strength
        
        "Back":
            jump gym
    
    jump gym

label train_endurance:
    hide screen gym_menu with dissolve
    $ renpy.pause(0.1)
    if emily_energy >= (emily_max_energy * 0.2):
        $ emily_endurance_exp += 20
        $ emily_energy -= (emily_max_energy * 0.2)
        $ check_endurance_level_up()
        "You completed your endurance training! Your energy decreased by [int(emily_max_energy * 0.2)]."
        $ renpy.pause(1.0)
        jump train_strength
    else:
        "You don't have enough energy to train. Try resting at home!"
        $ renpy.pause(1.0)
        jump train_strength

# Strength Training Scene
label strength_training:
    hide screen gym_menu with dissolve
    $ renpy.pause(0.1)
    
    $ basic_cost = int(emily_max_energy * 0.1)
    $ strength_cost = int(emily_max_energy * 0.15)
    $ intense_cost = int(emily_max_energy * 0.3)
    $ amazon_cost = int(emily_max_energy * 0.8)
    
    menu:
        "Choose your workout routine:"
        
        "[basic_cost] energy: Basic Training (30min, +20 Strength EXP)":
            if emily_energy >= (emily_max_energy * 0.1):
                $ emily_energy -= (emily_max_energy * 0.1)
                $ emily_strength_exp += 20
                $ emily_endurance_exp += 5
                $ advance_time(minutes=30)
                "You completed a basic strength training session."
                $ check_strength_level_up()
                $ check_endurance_level_up()
                jump train_strength
            else:
                "You don't have enough energy for this workout."
                jump train_strength
        
        "[strength_cost] energy: Strength Training (45min, +35 Strength EXP)":
            if emily_energy >= (emily_max_energy * 0.15):
                $ emily_energy -= (emily_max_energy * 0.15)
                $ emily_strength_exp += 35
                $ emily_endurance_exp += 10
                $ advance_time(minutes=45)
                "You completed an intermediate strength training session."
                $ check_strength_level_up()
                $ check_endurance_level_up()
                jump train_strength
            else:
                "You don't have enough energy for this workout."
                jump train_strength
        
        "[intense_cost] energy: Intense Workout (60min, +60 Strength EXP)" if emily_level >= 5:
            if emily_energy >= (emily_max_energy * 0.3):
                $ emily_energy -= (emily_max_energy * 0.3)
                $ emily_strength_exp += 60
                $ emily_endurance_exp += 15
                $ advance_time(minutes=60)
                "You completed an intense strength training session."
                $ check_strength_level_up()
                $ check_endurance_level_up()
                jump train_strength
            else:
                "You don't have enough energy for this workout."
                jump train_strength
        
        "[amazon_cost] energy: Amazon Regiment (90min, +350 Strength EXP)" if emily_level >= 8:
            if emily_energy >= (emily_max_energy * 0.8):
                $ emily_energy -= (emily_max_energy * 0.8)
                $ emily_strength_exp += 350
                $ emily_endurance_exp += 30
                $ advance_time(minutes=90)
                "You completed the legendary Amazon Regiment training!"
                $ check_strength_level_up()
                $ check_endurance_level_up()
                jump train_strength
            else:
                "You don't have enough energy for this workout."
                jump train_strength
        
        "Back":
            jump gym
    
    jump gym

# Define the check at gym scene
label check_yourself_scene:
    scene bg gym_mirror
    call screen check_yourself

screen check_yourself():
    modal True
    
    frame:
        xfill True
        yfill True
        background "#1a1a1a"
        
        hbox:
            xfill True
            yfill True
            spacing 0
            
            # Left half - Emily's Image
            frame:
                xsize 960
                yfill True
                background None
                
                vbox:
                    xfill True
                    yalign 0.4
                    
                    $ current_pose = get_random_emily_pose()
                    add current_pose:
                        xalign 0.5
                        zoom 0.95
                    
            # Right half - Stats and Description
            frame:
                xsize 960
                yfill True
                background None
                
                vbox:
                    spacing 30
                    xalign 0.5
                    yalign 0.4
                    xsize 800
                    
                    text "Strength Level [emily_level]" size 40 color "#ffffff" xalign 0.5
                    
                    # Stats box
                    frame:
                        background "#2a2a2a"
                        padding (30, 30)
                        xfill True
                        
                        vbox:
                            spacing 15
                            xfill True
                            
                            text "Current Stats:" size 32 color "#ffffff" xalign 0.5
                            text "Strength EXP: [emily_strength_exp]/[strength_exp_required]" size 28 color "#ffffff"
                            text "Endurance Level: [endurance_level]/10" size 28 color "#ffffff"
                            text "Endurance EXP: [emily_endurance_exp]/[endurance_level * 100]" size 28 color "#ffffff"
                    
                    # Description box
                    frame:
                        background "#2a2a2a"
                        padding (30, 30)
                        xfill True
                        
                        text get_body_description(emily_level):
                            size 28
                            color "#ffffff"
                            text_align 0.5
                            xalign 0.5
        
        # Back button at the bottom
        textbutton "Back":
            xalign 0.5
            yalign 0.95
            text_size 32
            action Jump("gym")

# Define the main game loop
label main_game_loop:
    return

# Start of the game
label start:
    scene bg school_pe_class
    
    "Another boring day at PE class..."
    
    "The PE class was always a stark reminder of the differences between students. While both Emily and Eris were on the smaller side, their capabilities were quite different."
    
    show Emily_discussion_normal at left:
        zoom 0.7
    show Eris_normal at right:
        zoom 0.7
    
    "Despite her delicate appearance, Eris had a natural advantage. Though skinny and feminine with a flat chest, she was slightly taller than Emily and could always last longer in physical activities. Her fragile-looking frame held a hidden endurance that spoke of her dormant amazon heritage."
    
    emily "I'm tired of being the weakest in class... and too..."
    
    eris "Oh, Emily. Still catching your breath? *giggles* I may look delicate, but I can keep going long after everyone else is exhausted."
    
    "Eris stretched her slim arms, her movements graceful and light. Despite her fragile appearance, she never seemed to tire as easily as the others."
    
    eris "It's in my blood, you know. My ancestors were powerful amazon warriors. Even if I don't look it now, that strength lies dormant in my genes."
    
    show Emily_anger at left:
        zoom 0.7
    hide Emily_discussion_normal
    emily "Especially when Eris keeps showing off!"
    hide Eris_normal
    show Eris_rage at right:
        zoom 0.7
    eris "Showing off? *laughs softly* This is just natural endurance, Emily. My family descends from amazons. Even in this delicate form, their power flows through my veins, waiting to be awakened."
    
    "It was true. While Emily struggled to catch her breath, Eris, despite her skinny frame, always seemed to have energy to spare. Her feminine, fragile appearance belied her superior stamina."
    
    eris "Our ancestors were legendary amazonian warriors. Their raw power and strength might skip a few generations, but the potential never dies. And I can feel it stirring within me."

    emily "Maybe I should do something about it..."
    
    eris "Do something? *laughs delicately* Emily, you don't understand. This isn't just about exercise. This is about awakening ancient power."
    hide Eris_rage
    show Eris_challenge_accepted at right:
        zoom 0.7
    eris "Look at me - I might be skinny and weak-looking now, but once I start training, my amazon blood will finally show its true nature."
    
    "Eris moved with natural grace, her slim figure betraying no hint of the potential power that lay dormant in her genes."
    
    eris "My family has set up a premium home gym for me. Soon, I'll transform this delicate frame into something worthy of my amazon heritage."
    hide Emily_anger
    show Emily_anger_normal at left:
        zoom 0.7
    
    emily "That's it! I'll start going to the gym!"
    
    eris "The gym? *giggles* Oh, that's cute. You think a regular commercial gym can compare to my family's facilities? They're designed to awaken amazon potential."
    
    emily "I don't care about your fancy equipment or your sleeping amazon genes. I'll show you that hard work and determination can overcome any advantage!"
    
    eris "How adorable. Well, if you're so determined, why don't we make this interesting? Let's see who can develop the most impressive amazonian physique. Though with my heritage, we both know who'll transform more dramatically."
    
    emily "You're on! I'll prove that anyone can become strong with enough dedication!"
    
    eris "Very well. But remember, Emily - you're not just competing against this delicate frame. You're competing against dormant amazon power that's about to awaken. This should be... entertaining."
    
    "The challenge was set. Emily, the ordinary girl with extraordinary determination, against Eris, the delicate descendant of amazons with hidden potential. The stage was set for an epic transformation journey."
    
    # Initialize variables
    $ emily_level = 1
    $ emily_energy = 100
    $ emily_max_energy = 100
    $ emily_money = 500
    $ emily_strength_exp = 0
    $ emily_endurance_exp = 0
    $ has_gym_membership = False
    $ current_hour = 8
    $ current_minute = 0
    $ endurance_level = 1
    $ eris_level = 1
    $ eris_growth_rate = 1.2
    $ strength_exp_required = 100
    $ current_contact = None
    $ current_day = 0
    $ days_of_week = ["Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday"]
    
    # Initialize phone contacts
    $ phone_contacts = {
        "Eris": {"status": "Online", "relationship": "Rival", "last_message": "", "has_notification": False},
        "Phoebe": {"status": "Online", "relationship": "Gym Friend", "last_message": "", "has_notification": False},
        "Hitomi": {"status": "Online", "relationship": "Martial Artist", "last_message": "", "has_notification": False},
        "Camile": {"status": "Online", "relationship": "Dance Instructor", "last_message": "", "has_notification": False}
    }
    
    # Initialize chat history
    $ chat_history = {
        "Eris": [],
        "Phoebe": [],
        "Hitomi": [],
        "Camile": []
    }
    
    # Start at home
    jump home
    return

label sleep:
    if should_force_sleep():
        if is_too_late():
            "It's midnight! Time to sleep..."
        else:
            "It's too early to be up. You need to sleep..."
        $ sleep_until_eight()
        $ emily_energy = emily_max_energy
        $ process_pending_level_up()
        "You sleep until 8:00 on [get_current_day_name()]. Your energy is fully restored to [emily_energy]/[emily_max_energy]."
        jump home
    else:
        menu:
            "Would you like to sleep?"
            "Sleep":
                $ sleep_until_eight()
                $ emily_energy = emily_max_energy
                $ process_pending_level_up()
                "You sleep until 8:00 on [get_current_day_name()]. Your energy is fully restored to [emily_energy]/[emily_max_energy]."
                jump home
            "Stay awake":
                "You decide to stay awake."
                jump home

label force_sleep:
    if is_too_late():
        "It's midnight! Time to sleep..."
    else:
        "It's too early to be up. You need to sleep..."
    jump sleep

# Default variables
default emily_level = 1
default emily_strength_exp = 0
default emily_endurance_exp = 0
default emily_max_energy = 100
default emily_energy = 100
default current_hour = 8
default current_minute = 0
default current_day = 0
default days_of_week = ["Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday"]
default strength_exp_required = 100
default endurance_level = 1
default has_gym_membership = False
default pending_strength_level_up = False

init python:
    import random
    import os
    
    # Initialize game variables
    emily_level = 1
    emily_strength_exp = 0
    emily_endurance_exp = 0
    emily_energy = 100
    emily_max_energy = 100
    emily_money = 500
    has_gym_membership = False
    current_hour = 8
    current_minute = 0
    endurance_level = 1
    eris_level = 1
    eris_growth_rate = 1.2
    strength_exp_required = 100
    current_contact = None
    current_day = 0
    days_of_week = ["Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday"]
    
    # Initialize chat history and contacts
    chat_history = {
        "Eris": [],
        "Phoebe": [],
        "Hitomi": []
    }
    
    phone_contacts = {
        "Eris": {
            "status": "Online",
            "last_message": "",
            "has_notification": False
        },
        "Phoebe": {
            "status": "Online",
            "last_message": "",
            "has_notification": False
        },
        "Hitomi": {
            "status": "Online",
            "last_message": "",
            "has_notification": False
        }
    }

    def advance_time(hours=0, minutes=0):
        global current_hour, current_minute, current_day
        
        current_minute += minutes
        if current_minute >= 60:
            hours += current_minute // 60
            current_minute = current_minute % 60
            
        current_hour += hours
        if current_hour >= 24:
            days = current_hour // 24
            current_hour = current_hour % 24
            current_day += days

    def get_current_day_name():
        return days_of_week[current_day % 7]

    def decrease_energy(amount):
        global emily_energy
        emily_energy = max(0, emily_energy - amount)

    def is_too_early():
        return current_hour < 6

    def is_too_late():
        return current_hour >= 23 and current_minute >= 59

    def is_energy_low():
        return emily_energy <= 0

    def should_force_sleep():
        return is_too_late() or is_too_early()

    def check_strength_level_up():
        global emily_level, emily_strength_exp, strength_exp_required, pending_strength_level_up
        
        if emily_strength_exp >= strength_exp_required:
            pending_strength_level_up = True
            renpy.notify("You need to sleep to level up!")
    
    def process_pending_level_up():
        global emily_level, emily_strength_exp, strength_exp_required, pending_strength_level_up
        
        if pending_strength_level_up:
            emily_level += 1
            emily_strength_exp = emily_strength_exp - strength_exp_required
            strength_exp_required = int(strength_exp_required * 1.5)
            pending_strength_level_up = False
            return True
        return False
    
    def check_endurance_level_up():
        global endurance_level, emily_endurance_exp, emily_max_energy
        exp_needed = endurance_level * 100
        
        if emily_endurance_exp >= exp_needed and endurance_level < 10:
            emily_endurance_exp -= exp_needed
            endurance_level += 1
            emily_max_energy += 20
            return True
        return False

    def format_time(hour, minute):
        period = "AM" if hour < 12 else "PM"
        hour = hour if hour <= 12 else hour - 12
        hour = 12 if hour == 0 else hour
        return "{:d}:{:02d} {}".format(hour, minute, period)

    def add_time(minutes):
        global current_hour, current_minute
        current_minute += minutes
        while current_minute >= 60:
            current_minute -= 60
            current_hour += 1
        
        if current_hour >= 24:
            current_hour = 8
            current_minute = 0

    def get_random_emily_pose():
        pose_number = renpy.random.randint(1, 5)
        return "Emily/Emily{}_{}.png".format(emily_level, pose_number)

    def get_eris_image():
        pose_number = renpy.random.randint(1, 2)
        return "Eris/Eris{}_{}.png".format(eris_level, pose_number)

    def add_chat_message(contact, message, is_system=False, image=None):
        global chat_history, phone_contacts
        sender = "System" if is_system else contact
        message_data = {"sender": sender, "message": message}
        if image:
            message_data["image"] = image
        chat_history[contact].append(message_data)
        phone_contacts[contact]["last_message"] = message
        if not is_system or phone_contacts[contact]["has_notification"]:
            phone_contacts[contact]["has_notification"] = True

    def has_unread_messages():
        for contact_info in phone_contacts.values():
            if contact_info["has_notification"]:
                return True
        return False

    def get_all_rest_images():
        available_images = []
        for i in range(1, 11):  # Assuming you have images numbered from 1 to 10
            image_name = f"rest_gym_{i}"
            available_images.append(image_name)
        return available_images

    def get_random_rest_image():
        available_images = get_all_rest_images()
        if available_images:
            return random.choice(available_images)
        return "bg_gym"

    def get_random_rest_message():
        beginner_messages = [
            "There are so many sexy girls in this gym... I feel so small compared to them.",
            "Wow, look at her muscles! I wonder if I'll ever be that strong...",
            "Her body is amazing... Mine looks so ordinary in comparison.",
            "She makes lifting weights look so easy. I can barely do half that weight.",
            "These girls are like goddesses... And here I am, just starting out.",
            "I feel a bit intimidated by all these fit women around me.",
            "Their confidence is incredible. I wish I had that kind of presence.",
            "Such powerful bodies... I have such a long way to go.",
            "I can't help but feel self-conscious around these amazons.",
            "Will I ever look that good in gym clothes?"
        ]
        
        intermediate_messages = [
            "I'm starting to understand how they got those muscles. It takes real dedication!",
            "Her form is perfect. Mine's getting there too!",
            "I can lift almost as much as she can now. Progress feels good!",
            "My body is changing... I'm beginning to see the same definition they have.",
            "I remember when those weights seemed impossible. Now they're my warm-up!",
            "We're not so different now. I'm becoming one of them.",
            "I used to be intimidated by these women. Now we spot each other!",
            "Looking at them doesn't make me envious anymore - it makes me motivated!",
            "I can see why they love training so much. The results are addictive!",
            "Their dedication isn't mysterious anymore - I'm living it too!"
        ]
        
        advanced_messages = [
            "Keep pushing, sister! We're all breaking boundaries together!",
            "Another amazon in the making. She's got that fire in her eyes!",
            "Love seeing new girls transform into powerful women.",
            "We're all capable of becoming stronger than we imagine.",
            "The weights that used to seem heavy now feel like warm-ups. Sky's the limit!",
            "Together we rise. This gym is forging warriors every day!",
            "Remember when I used to be intimidated? Now I'm inspiring others!",
            "There's nothing more beautiful than a woman discovering her strength.",
            "We're all queens here, pushing each other to new heights!",
            "The strength in this room is contagious. We're all becoming amazons!"
        ]
        
        if emily_level <= 3:
            messages = beginner_messages
        elif emily_level <= 7:
            messages = intermediate_messages
        else:
            messages = advanced_messages
            
        return random.choice(messages)

    def get_nightmare_message():
        messages = [
            "You'll never be strong enough...",
            "Look at those pathetic muscles!",
            "Give up now, weakling!",
            "You think you can become an Amazon? Laughable!",
            "Your genetics are trash!",
            "Even with all that training, you're still so weak...",
            "Eris would be disappointed in you.",
            "You'll always be that weak little girl.",
            "All that effort for nothing!",
            "Some people are born strong, you're not one of them."
        ]
        return random.choice(messages)

    def get_body_description(level):
        descriptions = {
            1: "Your body is that of a regular girl, with little muscle definition. You're just starting your fitness journey.",
            2: "You're beginning to see small changes. Your muscles feel a bit firmer, though not very visible yet.",
            3: "Some muscle definition is starting to show. Your posture has improved and you feel stronger.",
            4: "Your transformation is becoming noticeable. Your arms and legs show clear muscle tone.",
            5: "You've developed a strong athletic build. Your abs are starting to show and your muscles are well-defined.",
            6: "Your physique is impressive. Strong, defined muscles and a powerful athletic build.",
            7: "Your body radiates strength. Sculpted muscles and an amazonian build that turns heads.",
            8: "You've achieved an incredible transformation. Your muscular physique rivals professional athletes.",
            9: "Your body is a testament to dedication. Powerful, sculpted muscles that command respect.",
            10: "You've reached peak physical condition. Your amazonian build is both powerful and graceful."
        }
        return descriptions.get(level, "Your body continues to evolve...")

    def sleep_until_eight():
        global current_hour, current_minute, current_day
        if current_hour >= 8:
            current_day += 1
        current_hour = 8
        current_minute = 0

# Game Stats Screen
screen game_stats():
    frame:
        xalign 1.0
        yalign 0.0
        xsize 300
        background "#2a2a2a"
        padding (20, 20)
        
        vbox:
            spacing 10
            text "Stats:" size 28 color "#ffffff"
            text "Strength Level: [emily_level]" size 24 color "#ffffff"
            text "Strength EXP: [emily_strength_exp]/[strength_exp_required]" size 24 color "#ffffff"
            text "Endurance Level: [endurance_level]/10" size 24 color "#ffffff"
            text "Endurance EXP: [emily_endurance_exp]/[endurance_level * 100]" size 24 color "#ffffff"
            text "Energy: [emily_energy]/[emily_max_energy]" size 24 color "#ffffff"
            text "Time: [current_hour]:00" size 24 color "#ffffff"

# Define the styles for buttons and text
style menu_button:
    size 42
    outlines [(4, "#000000", 0, 0), (2, "#ffffff", 0, 0)]
    padding (20, 10)
    background "#7777"
    hover_background "#999c"

style workout_button:
    size 30
    outlines [(3, "#000000", 0, 0), (1, "#ffffff", 0, 0)]
    padding (20, 10)
    background "#7777"
    hover_background "#999c"

style stat_text:
    size 30
    outlines [(3, "#000000", 0, 0), (1, "#ffffff", 0, 0)]
    color "#ffff00"

style computer_text:
    size 50
    outlines [(4, "#000000", 0, 0), (2, "#ffffff", 0, 0)]
    color "#00ff00"

# Add cheat menu screen
screen cheat_menu():
    modal True
    
    frame:
        xalign 0.5
        yalign 0.5
        xsize 1000
        ysize 800
        background "#1a1a1a"
        
        vbox:
            spacing 20
            xalign 0.5
            yalign 0.5
            
            text "Cheat Menu" size 40 color "#ffffff" xalign 0.5
            
            # Experience and Level
            vbox:
                xalign 0.5
                spacing 10
                text "Emily's Stats" size 30 color "#00ff00" xalign 0.5
                
                textbutton "+100 Strength EXP":
                    text_size 28
                    action [SetVariable("emily_strength_exp", emily_strength_exp + 100), Function(check_strength_level_up)]
                
                textbutton "+1 Level":
                    text_size 28
                    action SetVariable("emily_level", min(emily_level + 1, 10))
                
                textbutton "+1000 Money":
                    text_size 28
                    action SetVariable("emily_money", emily_money + 1000)
                
                textbutton "Max Energy":
                    text_size 28
                    action SetVariable("emily_energy", emily_max_energy)
            
            # Eris Stats
            vbox:
                xalign 0.5
                spacing 10
                text "Eris's Stats" size 30 color "#800080" xalign 0.5
                
                textbutton "+1 Eris Level":
                    text_size 28
                    action SetVariable("eris_level", min(eris_level + 1, 10))
            
            textbutton "Back":
                text_size 28
                action [Hide("cheat_menu"), Show("home")]

# Add cheat label for transitions
label cheat_menu:
    hide screen home
    show screen cheat_menu
    $ renpy.pause(hard=True)
